<?
/*

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 $Id: colors.php,v 1.6 2003/01/14 00:47:56 vollmerk Exp $
 $Source: /a1/cvsroot/maint/modules/class/colors.php,v $

 This is the color class for maintain. It loads the color set
 and creates the object $color->bg['light'] $color->bg['dark'] etc
 etc....

 For now it only loads it from flat php files..... we might add
 Some Database 1337ness to it later

*/

class Color {

	//Template name
	var $name;
	
	//Background colors (array)
	var $bg;

	//Text Colors (array)
	var $text;

	//Generic Colors (array)
	var $common;	

	//Image Definitions (depending on template they need to change colors!)
	var $img;
	
	function Color($template) {
		global $conf;

		$this->name = $template;
		if ($this->name) { 
			$this->get_info();
		}				

	} //color constructor


	//get's the template information
	function get_info() {
		global $conf;

		//For now we simply require a sub file... nothing big
		require ($conf['prefix'] . "/modules/colors/" . $this->name . ".php");

	} //get_info

	//this checks to make sure the template is there
	function check_template($name) {
		global $conf;
		
		$fullname = $conf['prefix'] . "/modules/colors/" . $name . ".php";

		if (@fopen($fullname, "r")) {
			$found = true;
		} 
		else {
			$found = false;
		}

	return $found;

	} //check_template

	//creates a drop down list of all the possible templates
	function show_color_select() {
		global $conf, $user;

		echo "<select name=\"template\">\n";

		// This requires grabbing the files from a directory currently
		// because we don't use the db for all this jaz... it's a little
		// Ugly
		$fulldir = $conf['prefix'] . "/modules/colors/";
		
		//before we do anything change to that directory
		chdir ($fulldir);

		//open that directory and start reading like a mofo
		$handle = opendir($fulldir);

		while (false !== ($file = readdir($handle) ) ) {
			//if it ends in php we like it!	
			if (substr($file,(strlen($file)-4),4) == ".php") {
				$template_name = substr($file,0,(strlen($file)-4));
				if ($template_name != $user->color_template) {
					echo "\t<option value=\"$template_name\">$template_name</option>\n";
				} 
				else {
					echo "\t<option value=\"$template_name\" SELECTED>$template_name</option>\n";
				}
			} //if it's a .php file

		} //while there is stuff there

		echo "</select>\n";
		
		return;

	} //show_color_select

} //end color class
?>
