<?php
/*

 $Id: maintain_setup.inc,v 1.3 2003/07/18 01:45:44 vollmerk Exp $
 $Source: /a1/cvsroot/maint/templates/maintain_setup.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*
	@header Maintain Setup Template
	this is run ONLY on a new install, we do 
	a whole bunch of checks to make sure someone doesn't
	try to use this later to create a full admin account
	when they should be..

*/

if (!$user->is_setup_user()) { 
	logout();
	header ("Location: " . $conf['web_path'] . "/login.php");
	exit();
}

?>
<p class="header1">Welcome to Maintain</p>
<p>Before you can use Maintain you must change the local administrator password, and create your first zone. Your new Admin password has the following requirements:</p>
<ul>
	<li>Minimum length 8 characters</li>
	<li>Must Contain a combination of Letters and Numbers</li>
	<li>Can not contain any form of orgional password</li>
</ul>
<form method="post" name="maintain_setup" action="<?= $conf['web_path']; ?>/admin.php" enctype="multipart/form-data" style="Display:inline">

<!-- Show changing password -->
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td colspan="2" class="widget-title">
	Change Admin Password
        <input type="hidden" name="username" value="<?= $user->username; ?>" />
	<input type="hidden" name="current_pass" value="changeme" />
	</td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td>New Password:</td>
	<td>
        <input type="password" name="new_pass" />
        <? $conf['error']->show_message('new_pass'); ?>
        </td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
        <td>Confirm Password:</td>
        <td>
        <input type="password" name="confirm_pass" />
        <? $conf['error']->show_message('confirm_pass'); ?>
        </td>
</tr>
</table>
<? show_template('bborder'); ?>
<br /><br />
<!-- Show Adding First Zone -->
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td colspan="2" class="widget-title">Add First Zone</td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
        <td>New Zone Name:</td>
        <td>
	<input type="textbox" size="25" name="name" />
        <? $conf['error']->show_message('name'); ?>
        </td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
        <td>Short Description:</td>
        <td><input type="textbox" name="description" size="35" /></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor();; ?>">
        <td valign="top">Comment:</td>
        <td><textarea cols="50" rows="20" name="comment"></textarea></tr>
</tr>
</table>
<? show_template('bborder'); ?>
<!-- Action Table -->
<br /><br />
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td colspan="2" align="center">
		<input type="hidden" name="action" value="maintain_setup" />
		<input type="submit" value="Continue..." />&nbsp;&nbsp;
	</td>
</tr>
</table>
<? show_template('bborder'); ?>
</form>








